﻿using System;
using System.Collections.Generic;
using System.Text;

namespace GotLyrics
{
    public class ScanDirectoryEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ScanDirectoryEventArgs"/> class.
        /// </summary>
        /// <param name="directory">The directory.</param>
        internal ScanDirectoryEventArgs(string directory)
        {
            _directory = directory;
        }

        private string _directory;
        /// <summary>
        /// Gets the directory.
        /// </summary>
        /// <value>The directory.</value>
        public string Directory
        {
            get { return _directory; }
        }
    }
}
