﻿using System;
using System.Collections.Generic;
using System.Text;

namespace GotLyrics
{
    public class LyricResult
    {
        internal LyricResult(string lyrics, ILyricGrabber grabber)
        {
            _lyrics = lyrics;
            _lyricGrabber = grabber;
        }

        private string _lyrics;
        /// <summary>
        /// Gets the lyrics.
        /// </summary>
        /// <value>The lyrics.</value>
        public string Lyrics
        {
            get { return _lyrics; }
        }

        private ILyricGrabber _lyricGrabber;
        /// <summary>
        /// Gets the lyric grabber that found the lyric.
        /// </summary>
        /// <value>The lyric grabber.</value>
        public ILyricGrabber LyricGrabber
        {
            get { return _lyricGrabber; }
        }
    }
}
